Skip to content
Compare
Choose a tag to compare

0.33.1

Compare
Choose a tag to compare

Pony version 0.33.1 is now available. The release features no breaking changes for users' Pony code. We recommend updating at your leisure.

Let's get this one out of the way, the most significant change users will notice with Pony 0.33.1 is a change to the Linux release process. As of this release, all Linux releases will be available as .tar.gz files via our Cloudsmith release repository. There are builds available for both musl and glibc based Linux distributions.

Before the next release, we will have a new tool ponyup for doing Pony installations on Linux. You can use ponyup now to install 0.33.1 as well as nightly Pony builds. However, please note that there is a breaking change coming with ponyup within the next couple of weeks. If you want to use ponyup to install 0.33.1 and report any issues might encounter using either ponyup or ponyc, we'd welcome the feedback.

We want to warn you, however, that in a couple of weeks, you will need to delete your existing ponyup installation and reinstall it. For this reason, we recommend Linux users hold off on installing Pony 0.33.1 unless they are willing to help beta-test ponyup or need the bug-fix detailed below.

Windows and macOS users, nothing has changed about the installation process for you; however, heads up Windows users, within the next few months, changes are coming.

Fix nested tuple access regression introduced by #3304

PR #3304 introduced a bug that caused segfaults with nested tuple access, such as:

actor Main
  new create(env: Env) =>
    let x = (U8(1), (U8(2), U8(3)))._2._1

The issue is now resolved, and a test added to prevent another regression.

[0.33.1] - 2019-12-13

Fixed

  • Fix building ponyc with clang on Ubuntu (PR #3378)
  • Fix error using latest VS2019 to build ponyc (PR #3369)

Changed